Subject: Ticket Assigned - Article Feedback - I just returned my order. When will I receive my refund?
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Thu, 20 Jan 2022 06:09:17 +0000

Hi Mohammad Tawfik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Article Feedback - I just returned my order. When will I receive my refund? Feedback for:  I just returned my order. When will I receive my refund? I returned an item and someone from the shop took it and said after returning the item to your shop ill get my refund under MY CREDIT on the APP. Im just curious how many days would it took for me to get it? Because if i choose another item and i want to purchase again i want to be able to used the credit inside my account . Please reply me back . Thank you? https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3788373